import { useRegistryScript } from "../utils.mjs";
export function useScriptLemonSqueezy(_options) {
  return useRegistryScript("lemonSqueezy", () => ({
    scriptInput: {
      src: "https://assets.lemonsqueezy.com/lemon.js",
      // @ts-expect-error untyped
      crossorigin: false
    },
    scriptOptions: {
      use() {
        if (typeof window.createLemonSqueezy === "undefined")
          return void 0;
        window.createLemonSqueezy();
        return window.LemonSqueezy;
      }
    }
  }), _options);
}
